
QGIS Application - Bug report #7745

Please use grass-doc from local files, not from the web

2013-05-02 01:07 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GRASS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16650

Description

Many users do not have regular access to the web. Generally help pages are available locally as a part of the installation. It is therefore

preferable to use local files rather than going to grass website. Alternatively, it could check for local files, and if not found, try the online

resources.

Associated revisions

Revision ce69d21b - 2016-03-06 11:48 AM - Médéric RIBREUX

[Processing] Use local GRASS7 help files if they exist. Fixes #7745

Revision 9e3a5b56 - 2016-03-06 12:36 PM - Alexander Bruy

Merge pull request #2872 from medspx/processing_localdoc

[processing] use local GRASS7 help files if they exist (fix #7745)

Revision a53a6e49 - 2016-03-08 10:48 AM - Médéric RIBREUX

[Processing] Use local GRASS7 help files if they exist. Fixes #7745

History

#1 - 2013-07-20 02:14 AM - Paolo Cavallini

- Subject changed from Please use grass-doc form local files, not from the web to Please use grass-doc from local files, not from the web

#2 - 2014-06-23 08:21 AM - Paolo Cavallini

- Status changed from Open to Feedback

Fixed now?

#3 - 2014-10-04 11:52 AM - Giovanni Manghi

- Crashes QGIS or corrupts data set to No

- Project changed from 78 to QGIS Application

- Category deleted (59)

- Affected QGIS version set to 2.4.0
#4 - 2014-10-04 11:53 AM - Giovanni Manghi

- Category set to Processing/GRASS

#5 - 2015-12-26 06:34 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Affected QGIS version changed from 2.4.0 to master

Paolo Cavallini wrote:

Fixed now?

https://github.com/qgis/QGIS/blob/master/python/plugins/processing/algs/grass7/Grass7Algorithm.py#L82

#6 - 2015-12-28 04:27 AM - Paolo Cavallini

- File no_local_grass_help.png added

Apparently not, at least on 2.8.5, see attached.

#7 - 2016-03-05 12:22 PM - Médéric RIBREUX

- Status changed from Open to In Progress

Hello,

I am currently working on this...

For the moment, I have make a local search for grass7 documentation for MS-Windows (based on OsGeo4W paths) and major GNU/Linux distributions

(Debian and its derivatives, Fedora and openSuse).

I need to know where the grass7 documentation is stored on MacOsX (can't find it myself as I don't (want to) have a Mac). Does anybody knows where I

can find this (for GRASS7 at least) ?

#8 - 2016-03-06 02:59 AM - Médéric RIBREUX

Hello,

the PR is published...

#9 - 2016-03-06 03:37 AM - Alexander Bruy

- Status changed from In Progress to Closed

Fixed in changeset commit:"9e3a5b56470e697f3a3fb855164900fcd8c1d6af".

Files

no_local_grass_help.png 14.8 KB 2015-12-28 Paolo Cavallini
https://github.com/qgis/QGIS/blob/master/python/plugins/processing/algs/grass7/Grass7Algorithm.py#L82
https://github.com/qgis/QGIS/pull/2872

